Installer - Bug #31611

foreman-proxy-certs-generate fails with custom certificates
01/12/2021 01:38 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: foreman-installer script
Target version: 232
Difficulty: Fixed in Releases: 2.3.2,24.0
Triaged: Yes Found in Releases:
Bugzilla link: 1915347 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/637

Description
See report https://community.theforeman.org/t/foreman-proxy-certs-generate-error-with-katello-3-18-1/21943

[root@foreman ~]# foreman-proxy-certs—generate —--foreman-proxy-fgdn "foreman-proxy.example.com"

-—-certs-tar "~/foreman-proxy.example.com-certs.tar" -—-server-cert "/root/foreman-pr
oxy.crt" —-—-server-key "/root/foreman-proxy.key" -—server—-ca-cert "/etc/pki/tls/cer
ts/example-bundle-g2.crt" —-—certs-update-all

Traceback (most recent call last):
13: from /sbin/foreman-proxy-certs—generate:31l:in '<main>'
12: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1ib/kafo/kafo_configure.rb:50
:in “run'
11: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/1ib/clamp/command.rb:132:1in
“run'
10: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1ib/kafo/kafo_configure.rb:16
9:in “run'
9: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/1ib/clamp/command.rb:63:in °
run'
8: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1ib/kafo/kafo_configure.rb:19
9:in “execute'
7: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1lib/kafo/hooking.rb:51:in “ex
ecute'
6: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1ib/kafo/hooking.rb:51:in ‘ea
ch'
5: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1ib/kafo/hooking.rb:53:in ‘bl
ock in execute'
4: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1lib/kafo/hook_context.rb:19:1
n " execute'
3: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1lib/kafo/hook_context.rb:19:1
n “instance_eval'
2: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1ib/kafo/hooking.rb:35:in “bl
ock (4 levels) in load'
1: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/1ib/kafo/hooking.rb:35:in ‘in
stance_eval'
/usr/share/foreman-installer/katello-certs/hooks/pre_commit/20-certs_update.rb:17:in “block (4 lev
els) in load': undefined method “execute!' for #<Kafo::HookContext:0x0000000002d94278> (NoMethodEr
ror)

Associated revisions

Revision 89¢71062 - 01/12/2021 06:13 PM - Eric Helms

Fixes #31611: execute methods missing in certs-generate hooks

History

#1 - 01/12/2021 01:41 PM - Eric Helms
- Bugzilla link set to 1915347
https://community.theforeman.org/t/foreman-proxy-certs-generate-error-with-katello-3-18-1/21943

#2 - 01/12/2021 01:43 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/637 added

#3 - 01/12/2021 06:13 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#4 - 01/12/2021 07:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

Applied in changeset installer|89¢710620740e1d453377fff39d9718f3301d519.

#5 - 01/18/2021 10:06 AM - Tomer Brisker
- Fixed in Releases 2.3.2 added

#6 - 03/18/2021 02:51 PM - Amit Upadhye

- Category set to Foreman modules

#7 - 03/19/2021 10:25 AM - Ewoud Kohl van Wijngaarden
- Category changed from Foreman modules to foreman-installer script

- Triaged changed from No to Yes
